Ask Your Question
0

gazebo 2.2.2 with ros hydro from source and TurtleBot

asked 2014-10-17 09:32:11 -0500

Nap gravatar image

updated 2014-10-17 09:37:26 -0500

I installed ROS-Hydro-Desktop-Full from source in April this year on Ubuntu 13.10 (Saucy Salamander). During the install, the script installed Gazebo 2.2.2 using APT-GET. The script also installed gazebo_ros_pkgs 2.3.5. Up until now, everything's been working great, including some simple Gazebo stuff I started playing with.
But now I would like to get Gazebo running with ROS, and I understand that Hydro is intended to work with Gazebo 1.9, but I have 2.2.2, and I'm not sure what to do?

I decided I would try working through the turtlebot/Tutorials/hydro/Installation page, but in step 4.3 "rosdep install --from-paths src -i -y" fails with the following errors:

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies:
yocs_virtual_sensor: No definition of [rospy_message_converter] for OS version [saucy]
turtlebot_teleop: No definition of [joy] for OS version [saucy]
kobuki_random_walker: No definition of [ecl_threads] for OS version [saucy]
kobuki_node: No definition of [ecl_threads] for OS version [saucy]
kobuki_safety_controller: No definition of [ecl_threads] for OS version [saucy]
turtlebot_core_apps: No definition of [map_store] for OS version [saucy]
kobuki_auto_docking: No definition of [ecl_linear_algebra] for OS version [saucy]
kobuki_dock_drive: No definition of [ecl_linear_algebra] for OS version [saucy]
kobuki_keyop: No definition of [ecl_time] for OS version [saucy]
turtlebot_gazebo: No definition of [depthimage_to_laserscan] for OS version [saucy]
yocs_diff_drive_pose_controller: No definition of [ecl_threads] for OS version [saucy]
kobuki_ftdi: No definition of [ecl_command_line] for OS version [saucy]
yocs_velocity_smoother: No definition of [ecl_threads] for OS version [saucy]
turtlebot_bringup: No definition of [depthimage_to_laserscan] for OS version [saucy]
kobuki_driver: No definition of [ecl_command_line] for OS version [saucy]

The errors seem to indicate that my problem has to do with the version of Ubuntu I have rather than my version of Gazebo. Since Hydro was released for 13.10, and the tutorial refers to Hydro, the errors don't quite make sense. Unless it has to do with the gazebo_ros_pkgs that I have installed.

I've invested a lot of time and download bandwidth building the existing install and would prefer to somehow fix this up with an incremental solution. If this possible?

Since Gazebo 2.2.2 was actually installed using APT-GET, can I remove the package and install 1.9 instead? And I can delete gazebo_ros_pkgs I have and download the version that normally comes with 1.9.

Will this fix the problem?

Cheers,
Nap

edit retag flag offensive close merge delete

2 Answers

Sort by ยป oldest newest most voted
0

answered 2014-10-18 19:28:51 -0500

tfoote gravatar image

Yes, you should be able to remove the debian packages installed by apt for gazebo 2.2 and the corresponding new gazebo_ros_pkgs and install the older ones.

Anything built on top of them will need to be rebuilt.

Your rosdep errors are a separate issue. I would guess that you are not in an environment that as the ROSDISTRO envrionment variable set to hydro so it does not know to look for those packages from hydro. This is usually done by sourcing /opt/ros/hydro/setup/bash source /opt/ros/hydro/setup.bash

edit flag offensive delete link more

Comments

Thanks for that, I will try it. I have source ~/ros_catkin_ws/install_isolated/setup.bash in my .bashrc. but no, ROSDISTRO is not set. I'll add that export to my .bashrc file.

Nap gravatar image Nap  ( 2014-10-24 08:47:19 -0500 )edit
0

answered 2015-11-20 09:17:15 -0500

sixm gravatar image

updated 2015-11-20 09:24:15 -0500

This's not an answer.I have to wirte it down here because of the limit of commit.

I installed ROS-Hydro-Desktop-Full from source on Ubuntu 13.10 and try http://wiki.ros.org/turtlebot/Tutoria... too. In step 4.3 "rosdep install --from-paths src -i -y", I get the same error with you. I have read the only answer, but I dont have opt/ros because I installed it from source and dont know how to set ROSDISTRO to hydro. Would you please tell me that?

I have try export ROSDISTRO=hydro , export ROSDISTRO="hydro" . Both didnt work.

Thank you in advance.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

2 followers

Stats

Asked: 2014-10-17 09:32:11 -0500

Seen: 4,675 times

Last updated: Nov 20 '15